package com.bwie.auth.controller;

import com.alibaba.fastjson.JSON;
import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.Admin;
import com.bwie.common.domain.request.AdminReq;
import com.bwie.common.result.Result;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author：yang
 * @Package：com.bwie.auth.controller
 * @Project：day_09-12
 * @name：AuthController
 * @Date：2024/8/12 9:44
 */
@RestController
@Log4j2
@AllArgsConstructor
public class AuthController {

    private HttpServletRequest request;
    private AuthService authService;

    /**
     * 登录
     * @param admin 登录对象
     * @return 试图
     */
    @PostMapping("/user")
    public Result<AdminReq> user(@RequestBody Admin admin){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI(), JSON.toJSONBytes(admin));
        Result user = authService.user(admin);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI(), JSON.toJSONBytes(admin));
        return user;
    }

    /**
     * 获取校验的登录人信息
     * @return
     */
    @GetMapping("/info")
    public Result<Admin> info(){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}");
        Admin user = authService.info();
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}");
        return Result.success(user) ;
    }



}
