package com.bwie.auth.feign;

import com.bwie.common.domain.Admin;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author：yang
 * @Package：com.bwie.auth.feign
 * @Project：day_09-12
 * @name：AuthFeign
 * @Date：2024/8/12 10:01
 */
@FeignClient("bwie-admin")
public interface AuthFeign {

    @PostMapping("/admin/user{adminName}")
    public Result<Admin> user(@PathVariable String adminName);

    @PostMapping("/admin/restKeran{admin}")
    Integer restKeran(@PathVariable String admin);
}
