package com.bwie.common.utils;

import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@RestControllerAdvice

public class Exception extends Throwable {

    @ExceptionHandler(AuthAdvice.class)
    public Result Excrption(AuthAdvice authAdvice){

        StackTraceElement stackTraceElement = authAdvice.getStackTrace()[0];

        String className = stackTraceElement.getClassName();
        String fileName = stackTraceElement.getFileName();
        int lineNumber = stackTraceElement.getLineNumber();
        String methodName = stackTraceElement.getMethodName();

        StringBuffer stringBuffer = new StringBuffer();
        /**
         * 返回的值
         */
        StringBuffer append = stringBuffer.append("报错的包").append(className)
                .append("报错的文件名").append(fileName)
                .append("报错的行数").append(lineNumber)
                .append("报错的方法名").append(methodName)
                .append("报错的信息是:").append(authAdvice.getMessage().toString());

        return Result.error(append);
    }


}
