package com.bwie.list.controller;

import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.Admin;
import com.bwie.common.domain.Rutcloue;
import com.bwie.common.result.Result;
import com.bwie.list.service.AdminService;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author：yang
 * @Package：com.bwie.list.controller
 * @Project：day_09-12
 * @name：adminController
 * @Date：2024/8/12 10:05
 */
@RestController
@Log4j2
@RequestMapping("/admin")
@AllArgsConstructor
public class AdminController {


    private final HttpServletRequest request;
    private final AdminService adminService;

    /**
     * 获取登录
     * @param adminName 用户名称
     * @return 值
     */
    @PostMapping("/user{adminName}")
    public Result<Admin> user(@PathVariable String adminName){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        Admin user = adminService.user(adminName);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        return Result.success(user);
    }

    /**
     * 添加新用户
     * @param admin 用户信息
     * @return 返回结果
     */
    @PostMapping("/restKeran")
    public Result<String> restKeran(Admin admin){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}");
        Integer user = adminService.restKeran(admin);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}");
        if (user>0){
            return Result.success("注册成功");
        }
        return Result.error("注册不合法") ;
    }

    /**
     * 支付
     * @param rutcloue 商品信息
     * @return 值
     */
    @PostMapping("/rnFerat")
    public Result<String> rnFerat(@RequestBody Rutcloue rutcloue){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        Integer user = adminService.rnFerat(rutcloue);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        return user>0?Result.success(null,"支付成功"):Result.error("支付失败");
    }
}
