package com.bwie.es.controller;

import com.bwie.common.domain.DTo.KoodDTO;
import com.bwie.common.domain.Kood;
import com.bwie.common.domain.Rutcloue;
import com.bwie.common.result.Result;
import com.bwie.es.service.ESService;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.bwie.es.controller
 * @Project：day_09-12
 * @name：ESController
 * @Date：2024/8/12 13:59
 */
@RestController
@AllArgsConstructor
@RequestMapping("/ex")
@Log4j2
public class ESController {

    private final HttpServletRequest request;
    private final ESService esService;

    /**
     * es列表查询
     * @return 返回视图
     */
    @PostMapping("/list")
    public Result<List<KoodDTO>> list(@RequestBody KoodDTO koodDTO){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        List<KoodDTO> user = esService.list(koodDTO);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        return Result.success(user,"操作成功");
    }

    /**
     * es列表秒查询
     * @return 返回视图
     */
    @PostMapping("/lists")
    public Result<List<Rutcloue>> rutcloueList(@RequestBody Rutcloue rutcloue){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        List<Rutcloue> user = esService.rutcloueList(rutcloue);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        return Result.success(user,"操作成功");
    }
}
