package com.bwie.es.sync;

import com.bwie.common.domain.Kood;
import com.bwie.common.result.Result;
import com.bwie.es.feign.ESFeign;
import com.bwie.es.service.ESService;
import javafx.application.Application;
import javafx.stage.Stage;
import lombok.AllArgsConstructor;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.bwie.es.sync
 * @Project：day_09-12
 * @name：ESSync
 * @Date：2024/8/12 11:42
 */
@Component
@AllArgsConstructor
public class ESSync implements ApplicationRunner {

    private final ESFeign esFeign;
    private final ESService esService;

    @Override
    public void run(ApplicationArguments args) throws Exception {
//        esService.del("boods");
        Result<List<Kood>> list = esFeign.list();
        List<Kood> data = list.getData();
        int count = 3;
        for (int i = 0; i < data.size(); i++) {
            int min = Math.min(i+count,i);
            List<Kood> koods = data.subList(min, data.size());
            esService.add(koods);
        }
    }
}
