package com.bwie.list.controller;

import com.bwie.common.domain.Admin;
import com.bwie.common.domain.Appyds;
import com.bwie.common.domain.DTo.KoodDTO;
import com.bwie.common.domain.Kood;
import com.bwie.common.domain.Rutcloue;
import com.bwie.common.result.Result;
import com.bwie.list.service.KoodService;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.bwie.list.controller
 * @Project：day_09-12
 * @name：KoodController
 * @Date：2024/8/12 11:58
 */
@RestController
@AllArgsConstructor
@Log4j2
@RequestMapping("/kood")
public class KoodController {

    private final HttpServletRequest request;
    private final KoodService koodService;

    /**
     * 查询列表
     * @return 请求结果返回
     */
    @PostMapping("/list")
    public Result<List<Kood>> list(){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        List<Kood> user = koodService.list();
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        return Result.success(user);
    }

    /**
     * 新增方法
     * @return 请求结果返回
     */
    @PostMapping("/add")
    public Result<String> add(@RequestBody KoodDTO koodDTO){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        Integer user = koodService.add(koodDTO);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        if (user>0){
            return Result.success(null,"成功");
        }
       return Result.error("失败");
    }

    /**
     * 新增秒杀商品
     * @return 请求结果返回
     */
    @PostMapping("/findAdmin")
    public Result<String> findAdmin(@RequestBody Appyds appyds){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        String user = koodService.findAdmin(appyds);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        return Result.success(null,user);
    }

    /**
     * 用户是否登录系统
     * @return 请求结果返回
     */
    @PostMapping("/doupres")
    public Result<String> addRes(@RequestBody Rutcloue rutcloue){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        Integer user = koodService.addRes(rutcloue);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        if (user>0){
            return Result.success(null,"成功");
        }
        return Result.error("失败");
    }


}
