package com.bwie.list.controller;

import com.bwie.common.domain.Appyds;
import com.bwie.common.domain.DTo.RutcloueDTO;
import com.bwie.common.domain.Kood;
import com.bwie.common.result.Result;
import com.bwie.list.service.RutcloueService;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.bwie.list.controller
 * @Project：day_09-12
 * @name：Rutcloue
 * @Date：2024/8/12 16:24
 */
@RestController
@AllArgsConstructor
@Log4j2
@RequestMapping("/rutcloue")
public class RutcloueController {

    private final RutcloueService rutcloueService;
    private final HttpServletRequest request;

    /**
     * 查询秒杀列表
     * @return
     */
    @PostMapping("/list")
    public Result<List<RutcloueDTO>> list(@RequestBody RutcloueDTO rutcloueDTO){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        List<RutcloueDTO> user = rutcloueService.list(rutcloueDTO);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        return Result.success(user);
    }
    /**
     * 查询购物车列表  其实缓存就可以
     * @return
     */
    @PostMapping("/appydslist")
    public Result<List<Appyds>> appydslist(@RequestBody Appyds appyds){
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        List<Appyds> user = rutcloueService.appydslist(appyds);
        log.info("请求方式：{}，请求路径:{}，请求结果子：{}",request.getMethod(),request.getRequestURI());
        return Result.success(user);
    }
}
