package com.bwie.rabbitmq.consumer;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Admin;
import com.bwie.common.utils.TelSmsUtils;
import com.rabbitmq.client.Channel;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.HashMap;

@Component
@Log4j2
public class MsgConsumer {
    @RabbitListener(queuesToDeclare = {@Queue("yss")})
    public void sendMsg(String admin, Message message, Channel channel){
        try {
            log.info("消费者用户消息:{}",admin);
            Admin admin1 = JSONObject.parseObject(admin, Admin.class);
            HashMap<String, String> stringStringHashMap = new HashMap<>();
            stringStringHashMap.put("用户"+admin1.getAdminId(), String.valueOf(admin1));
            TelSmsUtils.sendSms(admin1.getAdminName(),"dada",stringStringHashMap);
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
        } catch (IOException e) {
            try {
                channel.basicReject(message.getMessageProperties().getDeliveryTag(),true);
            } catch (IOException ex) {
                throw new RuntimeException(ex);
            }
        }

    }
}
